TYPO3.Flow - Feature #2817

Provide safeguard for preventing multiple submits of a form
2009-03-10 16:31 - Robert Lemke

Status: Needs Feedback Start date: 2009-03-10
Priority: Should have Due date:

Assignee: % Done: 0%
Category: MVC Estimated time: 0.00 hour
Target version:

PHP Version: Complexity:

Has patch: No

Description

We need a mechanism which prevents the user from accidentally submitting a form multiple times. This should be handled both on
the client and on the server side.

On the client side a simple JavaScript will check if the form has been submitted and if so displays a message if the user tries to
submit it a second time.

On the server side some hash which is unique to that rendered form should be checked to figure out if that particular form instance is
already being processed.

Related issues:

Related to TYPO3.Flow - Feature #4960: There should be a Request hash check w... Resolved 2009-10-09
Has duplicate TYPO3.Flow - Feature #2818: Provide safeguard for preventing mu... Closed 2009-03-10
History

#1 - 2009-05-19 12:34 - Robert Lemke

- Target version set to 283

#2 - 2009-07-13 11:25 - Robert Lemke
- Target version deleted (283)

#3 - 2013-10-31 13:38 - Bastian Waidelich
- Status changed from New to Needs Feedback

- Has patch set to No

IMO this is not the responsibility of the framework as we can't know for sure whether a request is idempotent or not. Besides this would violate the
"stateless" principle of HTTP.
Usually a simple solution is to disable the form on submit via JavaScript.

2021-09-22 1/1



http://www.tcpdf.org

